.TH P2P() "" "" "Internal Kernel Routine"
.PC "Convert system global to physical address"
\fBP2P(\fIgl_addr\^\fB)\fR
\fBvaddr_t \fIgl_addr\^\fB;\fR
.PP
Macro
.B P2P
converts a system global address to a physical address.
For example, the code sequence
.DM
	#include <sys/mmu.h>
	phys_addr = P2P(sys_gl_addr);
.DE
.PP
converts system global address
.I sys_gl_addr
and stores it into variable
.IR phys_addr .
.SH "See Also"
.B
internal kernel routines
.R
